Last Comment Bug 627342 - re-enable browser_webconsole_js_input_expansion.js
: re-enable browser_webconsole_js_input_expansion.js
Status: RESOLVED FIXED
[console-2][fixed-in-devtools][merged...
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Rob Campbell [:rc] (:robcee)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-20 06:13 PST by Rob Campbell [:rc] (:robcee)
Modified: 2011-05-09 12:37 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
[in-devtools]test within 1px (996 bytes, patch)
2011-01-20 10:15 PST, Rob Campbell [:rc] (:robcee)
gavin.sharp: review+
pwalton: feedback+
Details | Diff | Review

Description Rob Campbell [:rc] (:robcee) 2011-01-20 06:13:41 PST
from checkin of bug 605621

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/components/console/hudservice/tests/browser/browser_webconsole_js_input_expansion.js | height shrank to original size.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295530399.1295531364.8188.gz#err0
Comment 1 Rob Campbell [:rc] (:robcee) 2011-01-20 06:17:08 PST
checked in http://hg.mozilla.org/mozilla-central/rev/a9ad814a40e3 to temporarily disable this failing test.

Test seems to only fail on OS X 32 bit.
Comment 2 Rob Campbell [:rc] (:robcee) 2011-01-20 06:50:31 PST
try build goes here: http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/rcampbell@mozilla.com-764b4c3636c6
Comment 3 Rob Campbell [:rc] (:robcee) 2011-01-20 10:15:43 PST
Created attachment 505447 [details] [diff] [review]
[in-devtools]test within 1px

measuring within 1px to allow OS X 32 to pass.
Comment 4 Rob Campbell [:rc] (:robcee) 2011-01-24 09:33:18 PST
any thoughts on this?
Comment 5 Rob Campbell [:rc] (:robcee) 2011-01-25 09:12:55 PST
Comment on attachment 505447 [details] [diff] [review]
[in-devtools]test within 1px

requesting feedback.

Also wondering if it's worth adding a "within" test to SimpleTest.js to accommodate these kinds of tests.
Comment 6 Mounir Lamouri (:mounir) 2011-01-25 09:16:10 PST
(In reply to comment #5)
> Also wondering if it's worth adding a "within" test to SimpleTest.js to
> accommodate these kinds of tests.

Something like is_epsilon(foo, bar, epsilon) might be interesting.
Comment 7 Patrick Walton (:pcwalton) 2011-01-26 20:28:37 PST
Comment on attachment 505447 [details] [diff] [review]
[in-devtools]test within 1px

Fine by me.
Comment 8 Rob Campbell [:rc] (:robcee) 2011-04-21 09:26:36 PDT
Comment on attachment 505447 [details] [diff] [review]
[in-devtools]test within 1px

http://hg.mozilla.org/projects/devtools/rev/16c139bbe0ca
Comment 9 Rob Campbell [:rc] (:robcee) 2011-05-09 12:37:33 PDT
Comment on attachment 505447 [details] [diff] [review]
[in-devtools]test within 1px

http://hg.mozilla.org/mozilla-central/rev/16c139bbe0ca

Note You need to log in before you can comment on or make changes to this bug.